commit:     0d7e3833a65c0b5df2137687a16f2c078e93abd3
Author:     Hank Leininger <hlein <AT> korelogic <DOT> com>
AuthorDate: Wed Jun 10 02:17:32 2020 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Thu Jun 18 00:46:48 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0d7e3833

x11-themes/fvwm-crystal: Version bump, migrate to GLEP 81.

This switches to the latest fvwm-crystal, which supports python3,
and switches to acct-group/fvwm-crystal for group creation.

Signed-off-by: Hank Leininger <hlein <AT> korelogic.com>
Closes: https://bugs.gentoo.org/710512
Package-Manager: Portage-2.3.100, Repoman-2.3.22
Closes: https://github.com/gentoo/gentoo/pull/16159
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>

 x11-themes/fvwm-crystal/Manifest                  |  1 +
 x11-themes/fvwm-crystal/fvwm-crystal-3.6.5.ebuild | 82 +++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/x11-themes/fvwm-crystal/Manifest b/x11-themes/fvwm-crystal/Manifest
index 5c8e01c3923..f74d54c5516 100644
--- a/x11-themes/fvwm-crystal/Manifest
+++ b/x11-themes/fvwm-crystal/Manifest
@@ -1,3 +1,4 @@
 DIST fvwm-crystal-3.2.3.tar.gz 4388604 BLAKE2B 
fe19c1c1b434fcac964add171406fc942dda3c854a462dd0dc98c95260dc320ec3111afe6a11ec0af7f808fbdebebeae66b37640db90c355ddb7e93e4dabf98b
 SHA512 
fa3d17b55562f773a50e00954aa66d22ce59fd62153ddf84a3df2ace1bc480abc2311bf379e2593f234330033f83ef3800378bfe3da593cdeb8b80b284d299bf
 DIST fvwm-crystal-3.2.5.tar.gz 4474561 BLAKE2B 
faa1f9028936766f5da9a39072c4bfc345052b7afb6b021ee17cd127bf1f9c5f56fbc3a81155785bddb26dca214ea90dc7a17cbfc9327b6a0c254a088edab12c
 SHA512 
f3b494da1f0851d0e16dda8a8867314a1b089d5a6c9ab18eedea6cdfaa753dff26f0e49747b12ec251812a22dcd93f348d6f3b689c9289b95e28545a245fadb1
 DIST fvwm-crystal-3.4.1.tar.gz 5663772 BLAKE2B 
5f2d87ae2ea1b5e9a3ce610569d52a73d4ecf70a68ed4e51465e9b4af55e1686478bd5bbac19eda727a4d53da6e92baba43fa8ad73c7a212a944b7d8cadcdf8f
 SHA512 
c033cc27a523a69c7735bde3b5885381e2a338d4f84b4089050be44e04bbb490492d826f899bf16bf5c167044eae330f954320b4bb14647e4db2a4b6b5d32009
+DIST fvwm-crystal-3.6.5.tar.gz 5899049 BLAKE2B 
addd82dbbab9b457a94715a969a27ff6ef2be07cddd33a379dc4d5348c9565d3a19943828b068ec5ef5f6d032f51b77a1990316ee7b3e16e5dc98ddf32f98c7d
 SHA512 
45cd99b83342e5e5f0de89edc92dbba3311efc7ef431d509490e3fd5b49420e94d1cef55865f45e731fd4c13172c6e2d26fbd10107cdb4a4f525379e17b94e6d

diff --git a/x11-themes/fvwm-crystal/fvwm-crystal-3.6.5.ebuild 
b/x11-themes/fvwm-crystal/fvwm-crystal-3.6.5.ebuild
new file mode 100644
index 00000000000..30241305845
--- /dev/null
+++ b/x11-themes/fvwm-crystal/fvwm-crystal-3.6.5.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit readme.gentoo-r1 python-single-r1
+
+DESCRIPTION="Configurable FVWM theme with transparency and freedesktop 
compatible menu"
+HOMEPAGE="http://fvwm-crystal.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+case ${PV} in
+*9999)
+       inherit subversion
+       ESVN_REPO_URI="svn://svn.code.sf.net/p/fvwm-crystal/code"
+       SRC_URI=""
+       KEYWORDS=""
+       S="${WORKDIR}/${PN}"
+       src_unpack() {
+               subversion_src_unpack
+       };;
+esac
+
+RDEPEND="${PYTHON_DEPS}
+       acct-group/fvwm-crystal
+       >=x11-wm/fvwm-2.6.9[png]
+       virtual/imagemagick-tools
+       || ( >=x11-misc/stalonetray-0.6.2-r2 x11-misc/trayer )
+       || ( x11-misc/hsetroot media-gfx/feh )
+       sys-apps/sed
+       sys-devel/bc
+       virtual/awk
+       x11-apps/xwd
+       media-sound/alsa-utils"
+
+DISABLE_AUTOFORMATTING="true"
+DOC_CONTENTS="After a first time installation, execute the following commands:
+       $ cp -r "${EROOT}"/usr/share/doc/"${PF}"/addons/Xresources ~/.Xresources
+       $ cp -r "${EROOT}"/usr/share/doc/"${PF}"/addons/Xsession ~/.xinitrc
+You can edit these files at your convenience.
+
+Many applications can extend functionality of fvwm-crystal.
+They are listed in "${EROOT}"/usr/share/doc/"${PF}"/INSTALL.*
+
+To be able to use the exit menu, each user using ${PN}
+must be in the group fvwm-crystal.
+You can do that as root with:
+       $ useradd -G fvwm-crystal <user_name>
+and log out and in again.
+"
+
+src_install() {
+       emake DESTDIR="${ED}" \
+               docdir="${EPREFIX}/usr/share/doc/${PF}" \
+               prefix="${EPREFIX}/usr" \
+               install
+       # GNU License is globally in the portage tree
+       rm -vf "${ED}/usr/share/doc/${PF}"/LICENSE
+
+       python_doscript "${ED}/usr/bin/${PN}".{apps,wallpaper}
+       python_scriptinto "/usr/share/${PN}"/fvwm/scripts/FvwmMPD
+       python_doscript "${ED}/usr/share/${PN}"/fvwm/scripts/FvwmMPD/*.py
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+       elog "Many applications can extend functionality of fvwm-crystal."
+       elog "They are listed in ${EROOT}/usr/share/doc/${PF}/INSTALL.bz2"
+       elog "Popular supported softwares are:"
+       elog "- x11-misc/xdg-user-dirs (the gtk USE is not needed) to"
+       elog "  get localized XDG user directories support"
+       elog "- sys-power/pm-utils or sys-apps/systemd for hibernate/resume 
support"
+       elog "- media-sound/jack-audio-connection-kit for a professional sound 
server"
+       elog "- several media players"
+}

Reply via email to